Changes the sort order of a section. For details, see Create and organize sections in Google Chat.
Requires user authentication with the authorization scope:
https://www.googleapis.com/auth/chat.users.sections
HTTP request
POST https://chat.googleapis.com/v1/{name=users/*/sections/*}:position
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the section to position. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"sortOrder": integer,
"relativePosition": enum ( |
| Fields | |
|---|---|
| Required. The new position of the section. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
sortOrder |
Optional. The absolute position of the section in the list of sections. The position must be greater than 0. If the position is greater than the number of sections, the section will be appended to the end of the list. This operation inserts the section at the given position and shifts the original section at that position, and those below it, to the next position. |
relativePosition |
Optional. The relative position of the section in the list of sections. |
| End of mutually exclusive fields. | |
Response body
Response message for positioning a section.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"section": {
object ( |
| Fields | |
|---|---|
section |
The updated section. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chat.users.sections
For more information, see the Authorization guide.
Position
The position of the section.
| Enums | |
|---|---|
POSITION_UNSPECIFIED |
Unspecified position. |
START |
Start of the list of sections. |
END |
End of the list of sections. |